Name: 		glitz
Version:	0.5.3
Release:	b1
Summary:	OpenGL image compositing library
License:	BSD
Group:		System Environment/Libraries
URL:		http://www.freedesktop.org/wiki/Software/glitz
Source:		http://cairographics.org/snapshots/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libICE-devel, xorg-x11-proto-devel, libX11-devel, libXt-devel
BuildArchitectures: i586

%description
Glitz is an OpenGL image compositing library. Glitz provides Porter/Duff
compositing of images and implicit mask generation for geometric primitives
including trapezoids, triangles, and rectangles.

The semantics of glitz are designed to precisely match the specification of
the X Render extension. Glitz does not only implement X Render features like
component alpha and image transformations, but also support for additional
features like convolution filters and color gradients, which are not
currently part of the X Render specification.

The performance and capabilities of glitz are much dependent on graphics
hardware. Glitz does not in any way handle software fall-backs when graphics
hardware is insufficient. However, glitz will report if any requested
operation cannot be carried out by graphics hardware, hence making a higher
level software layer responsible for appropriate actions.

Glitz can be used as a stand-alone layer above OpenGL but is also designed
to act as a backend for cairo, providing it with OpenGL accelerated output.

%package devel
Group:		Development/Libraries
Summary:	Files needed for development with glitz
Requires:	%{name} = %{version}-%{release}

%description devel
The glitz-devel package contains the files necessary for development with
the glitz libraries.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
#%doc AUTHORS ChangeLog COPYING README
%{_libdir}/libglitz-glx.so.*
%{_libdir}/libglitz.so.*

%files devel
%defattr(0644,root,root,0755)
%{_includedir}/glitz.h
%{_includedir}/glitz-glx.h
%{_libdir}/libglitz-glx.so
%{_libdir}/libglitz-glx.a
%{_libdir}/libglitz.so
%{_libdir}/libglitz.a
%{_libdir}/pkgconfig/glitz*.pc

%changelog
* Sun Apr 23 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
